StartupEvents.registry('block', event => {
 
	// Particle multi parts
	event.create('placeholder_particle_chroma_in').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_chroma_in')
	event.create('placeholder_particle_chroma_out').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_chroma_out')
	event.create('placeholder_particle_particles_in').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_particles_in')
	event.create('placeholder_particle_particles_out').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_particles_out')
	event.create('placeholder_particle_extra_in').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_extra_in')
	event.create('placeholder_particle_mana_in').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_mana_in')
	event.create('placeholder_particle_temp_in').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_temp_in')
	event.create('placeholder_particle_split_off').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_split_off')
	event.create('placeholder_particle_split_on').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_split_on')
	event.create('placeholder_particle_combine_off').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_combine_off')
	event.create('placeholder_particle_combine_on').displayName('Placeholder').textureAll('kubejs:block/multiblock/particle/particle_combine_on')
	
	// Rainbow multi parts
	event.create('placeholder_rainbow_on').displayName('Placeholder').textureAll('kubejs:block/multiblock/rainbow/active')
	event.create('placeholder_rainbow_off').displayName('Placeholder').textureAll('kubejs:block/multiblock/rainbow/inactive')
	event.create('placeholder_rainbow_port').displayName('Placeholder').textureAll('kubejs:block/multiblock/rainbow/fluxport')
	event.create('placeholder_rainbow_hatch').displayName('Placeholder').textureAll('kubejs:block/multiblock/rainbow/septuplehatch')
	
})